lirc.client.Command Class Reference
Python client bindings » Classes to send commands

Command, parser and connection container with a run() method. More...

Inheritance diagram for lirc.client.Command:

## Public Member Functions

def | __init__
def | run
| Run the command and return a Reply. More...

## Detailed Description

Command, parser and connection container with a run() method.

Definition at line 389 of file client.py.

## Member Function Documentation

## run()

def lirc.client.Command.run | ( |  | self,
|  |  | timeout
| ) |  |

Run the command and return a Reply.

Timeout as of AbstractConnection.readline()

Definition at line 401 of file client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/client.py (c46974b 2017-01-23 02:17:12 +0100)